#ifndef __GPS_H
#define __GPS_H	 
#include "sys.h"  

// UTC时间信息
__packed typedef struct  
{										    
 	u16 year;	//年份
	u8 month;	//月份
	u8 date;	//日期
	u8 hour; 	//小时
	u8 min; 	//分钟
	u8 sec; 	//秒钟
}nmea_utc_time;   

// NMEA 0183 协议解析后数据存放结构体
__packed typedef struct  
{										    
	nmea_utc_time utc;			// UTC时间
}nmea_msg; 

// 函数声明
int NMEA_Str2num(u8 *buf,u8*dx);
void NMEA_GPRMC_Analysis(nmea_msg *gpsx, u8 *buf);
void GPS_Analysis(nmea_msg *gpsx, u8 *buf);

#endif



